Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.behavior
Class ClientBehavior

    java.lang.Object
      javax.faces.component.behavior.BehaviorBase
          javax.faces.component.behavior.ClientBehaviorBase
              org.richfaces.component.behavior.ClientBehavior

All Implemented Interfaces:
  javax.faces.component.behavior.Behavior, javax.faces.component.behavior.ClientBehavior, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder

Direct Known Subclasses:
  AjaxBehavior, ComponentControlBehavior, ToggleControl

    public abstract class ClientBehavior

extends javax.faces.component.behavior.ClientBehaviorBase

Author:
  Anton Belevich base class for the client behaviors

Constructor Summary
`ClientBehavior()`

Method Summary
`protected boolean` | `compare(java.io.Serializable key, java.lang.String name)`
`protected javax.faces.context.FacesContext` | `getFacesContext()`
`javax.faces.component.StateHelper` | `getStateHelper()`
`javax.el.ValueExpression` | `getValueExpression(java.lang.String name)`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`abstract void` | `setLiteralAttribute(java.lang.String name, java.lang.Object value)`
`void` | `setLiteralValue(java.lang.String name, javax.el.ValueExpression expression)`
`void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression valueExpression)`

Methods inherited from class javax.faces.component.behavior.ClientBehaviorBase
`decode, getHints, getRenderer, getRendererType, getScript`

Methods inherited from class javax.faces.component.behavior.BehaviorBase
`addBehaviorListener, broadcast, clearInitialState, initialStateMarked, isTransient, markInitialState, removeBehaviorListener, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.Behavior
`broadcast`

Constructor Detail

### ClientBehavior

    public ClientBehavior()

Method Detail

### getStateHelper

    public javax.faces.component.StateHelper getStateHelper()

### getValueExpression

    public javax.el.ValueExpression getValueExpression(java.lang.String name)

### setValueExpression

    public void setValueExpression(java.lang.String name,
                                   javax.el.ValueExpression valueExpression)

### getFacesContext

    protected javax.faces.context.FacesContext getFacesContext()

### setLiteralValue

    public void setLiteralValue(java.lang.String name,
                                javax.el.ValueExpression expression)

### setLiteralAttribute

    public abstract void setLiteralAttribute(java.lang.String name,
                                             java.lang.Object value)

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.behavior.BehaviorBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.behavior.BehaviorBase`

### compare

    protected boolean compare(java.io.Serializable key,
                              java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.